qsig(1B)

NAME
qsig - signal pbs batch job

SYNOPSIS
qsig [-s signal] job_identifier ...

DESCRIPTION
The qsig command requests that a signal be sent to executing batch jobs. The signal is sent to the session leader of the job.

If the option is not specified, `SIGTERM' is sent. The request to signal a batch job will be rejected if:

-   The user is not authorized to signal the job.

-   The job is not in the running state.

-   The requested signal is not supported by the system upon which the job is executing.

The qsig command sends a Signal Job batch request to the server which owns the job.

OPTIONS

-s signal
    Declares which signal is sent to the job.

    The argument is either a signal name, e.g. SIGKILL, the signal name without the SIG prefix, e.g. KILL, or a unsigned signal number, e.g. 9. The signal name SIGNULL is allowed; the server will send the signal 0 to the job which will have no effect. Not all signal names will be recognized by qsig. If it doesn't recognize the signal name, try issuing the signal number instead.

    For Unicos on Cray systems only, two special signal names, "suspend" and "resume", are used to suspend and resume jobs. When suspended, a job continues to occupy system resources but is not executing and is not charged for walltime. Manager or operator privilege is required to suspend or resume a job.

OPERANDS
The qsig command accepts one or more operands of the form:

STANDARD ERROR
The qsig command will write a diagnostic messages to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the qsig command, the exit status will be a value of zero.

If the qsig command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
qsub(1B), pbs_sigjob(3B), pbs_resources_*(7B) where * is system type, and the PBS ERS.